diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 505590a..804d294 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -20821,7 +20821,7 @@ DirectProduct(dim:NonNegativeInteger, R:Type):
  
       if R has SetCategory then
         same?: % -> Boolean
-        same? z == every?(#1 = z(minIndex z), z)
+        same? z == every?(x +-> x = z(minIndex z), z)
  
         x = y == _and/[qelt(x,i)$Rep = qelt(y,i)$Rep for i in 1..dim]
  
@@ -20842,15 +20842,15 @@ DirectProduct(dim:NonNegativeInteger, R:Type):
  
       if R has Monoid then
         1 == new(dim, 1)$Vector(R) pretend %
-        u:% * r:R       == map(#1 * r, u)
-        r:R * u:%       == map(r * #1, u)
+        u:% * r:R       == map(x +-> x * r, u)
+        r:R * u:%       == map(x +-> r * x, u)
         x:% * y:% == [x.i * y.i for i in 1..dim]$Vector(R) pretend %
  
       if R has CancellationAbelianMonoid then
         subtractIfCan(u:%, v:%):Union(%,"failed") ==
           w := new(dim,0)$Vector(R)
           for i in 1..dim repeat
-            (c := subtractIfCan(qelt(u, i)$Rep, qelt(v,i)$Rep)) case "failed" =>
+            (c:=subtractIfCan(qelt(u, i)$Rep, qelt(v,i)$Rep)) case "failed" =>
                     return "failed"
             qsetelt_!(w, i, c::R)$Rep
           w pretend %
diff --git a/changelog b/changelog
index 33ba830..c2d7772 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090509 tpd src/axiom-website/patches.html 20090509.13.tpd.patch
+20090509 tpd books/bookvol10.3 DIRPROD +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.12.tpd.patch
 20090509 tpd books/bookvol10.4 ALGMANIP +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.11.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 086f4fc..e97ccfd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1156,5 +1156,7 @@ bookvol10.2 DIAGG +-> conversion<br/>
 bookvol10.3 DSMP +-> conversion<br/>
 <a href="patches/20090509.12.tpd.patch">20090509.12.tpd.patch</a>
 bookvol10.4 ALGMANIP +-> conversion<br/>
+<a href="patches/20090509.13.tpd.patch">20090509.13.tpd.patch</a>
+bookvol10.3 DIRPROD +-> conversion<br/>
  </body>
 </html>
